Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.persistence.criteria
Class Expressions.Coalesce<T>

    java.lang.Object
      org.apache.openjpa.persistence.criteria.SelectionImpl<X>
          org.apache.openjpa.persistence.criteria.ExpressionImpl<T>
              org.apache.openjpa.persistence.criteria.Expressions.Coalesce<T>

All Implemented Interfaces:
  CriteriaBuilder.Coalesce<T>, Expression<T>, Selection<T>, TupleElement<T>, CriteriaExpression

Enclosing class:
  Expressions

    public static class Expressions.Coalesce<T>

extends ExpressionImpl<T>
implements CriteriaBuilder.Coalesce<T>

Constructor Summary
`Expressions.Coalesce(Class<T> cls)`

Method Summary
`void` | `acceptVisit(CriteriaExpressionVisitor visitor)` Accept visit from the given visitor.
`StringBuilder` | `asValue(AliasContext q)` Get a string representation of this node as a value in the context of the given query.
`Value` | `toValue(ExpressionFactory factory, CriteriaQueryImpl<?> q)` Bridge contract to convert this facade expression to a kernel value.
`Expressions.Coalesce<T>` | `value(Expression<? extends T> value)`
`Expressions.Coalesce<T>` | `value(T value)`

Methods inherited from class org.apache.openjpa.persistence.criteria.ExpressionImpl
`as, in, in, in, in, isNotNull, isNull, toKernelExpression`

Methods inherited from class org.apache.openjpa.persistence.criteria.SelectionImpl
`alias, asProjection, assertValidName, asVariable, getAlias, getCompoundSelectionItems, getJavaType, isAliased, isAutoAliased, isCompoundSelection, setAutoAlias`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.persistence.criteria.Expression
`as, in, in, in, in, isNotNull, isNull`

Methods inherited from interface javax.persistence.criteria.Selection
`alias, getCompoundSelectionItems, isCompoundSelection`

Methods inherited from interface javax.persistence.TupleElement
`getAlias, getJavaType`

Constructor Detail

### Expressions.Coalesce

    public Expressions.Coalesce(Class<T> cls)

Method Detail

### value

    public Expressions.Coalesce<T> value(T value)

  Specified by:
    `value` in interface `CriteriaBuilder.Coalesce<T>`

### value

    public Expressions.Coalesce<T> value(Expression<? extends T> value)

  Specified by:
    `value` in interface `CriteriaBuilder.Coalesce<T>`

### toValue

    public Value toValue(ExpressionFactory factory,
                         CriteriaQueryImpl<?> q)

  Description copied from class: `ExpressionImpl`
  Bridge contract to convert this facade expression to a kernel value.

  Specified by:
    `toValue` in class `ExpressionImpl<T>`
  Parameters:
    `factory` - creates the kernel expression
    `q` - the query definition context of this expression
  Returns:
    an equivalent kernel value

### acceptVisit

    public void acceptVisit(CriteriaExpressionVisitor visitor)

  Description copied from interface: `CriteriaExpression`
  Accept visit from the given visitor. The receiver is responsible to propagate the visitor to the constituent sub-nodes if any.

  Specified by:
    `acceptVisit` in interface `CriteriaExpression`
  Overrides:
    `acceptVisit` in class `SelectionImpl<T>`
  Parameters:
    `visitor` - a processor to walk the nodes of a tree.

### asValue

    public StringBuilder asValue(AliasContext q)

  Description copied from interface: `CriteriaExpression`
  Get a string representation of this node as a value in the context of the given query.

  Specified by:
    `asValue` in interface `CriteriaExpression`
  Overrides:
    `asValue` in class `SelectionImpl<T>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.